
## UEFI Secure Boot Development Keys For Signing

| Key     | Description                                        |
|---------|----------------------------------------------------|
| pk.key  | Platform key private in PEM format.                |
| kek.key | Platform key private in PEM format.                |
| db.key  | Signature Database key private in PEM format. Required for 'sbsign' signing of EFI binaries. |

You can generate sample private key with `openssl`.

To generate 2048-bit RSA key:

```
openssl genrsa -aes256 -out Test.key 2048
```

To generate 384-bit EC key:

```sh
openssl ecparam -name secp384r1 -genkey -noout -out Test.key
```

## Copyright

Copyright (c) 2022 NVIDIA Corporation. All rights reserved.